
Redmine - Feature #2788

Hierarchical Project Hyperlinks

2009-02-20 01:52 - Chad Dombrova

Status: Closed Start date: 2009-02-18

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 0.9.0   

Resolution: Fixed   

Description

Sub-projects are a great tool, but the redmine UI needs some polish to make switching between them more fluid.

Redmine should use a hierarchical hyperlink as its project title.  for an example, look at pretty much any forum with sub-forums:  

http://forums.cgsociety.org/showthread.php?f=89&t=525100&page=2  Notice at the top where it displays the hierarchy of sub-forums:

CGTalk > Application Specific (3D)  > Autodesk Maya  > Maya Programming

 So the title displayed in the top-left corner would be

Master  >  Sub Project  >  Sub Sub Project

 and "Master" would be a hyperlink that takes you to the "Master" project page.

Associated revisions

Revision 2485 - 2009-02-20 19:34 - Jean-Philippe Lang

Adds (a maximum of 3) links to project ancestors in the page title (#2788).

History

#1 - 2009-02-20 18:05 - Jean-Philippe Lang

- Assignee set to Jean-Philippe Lang

#2 - 2009-02-20 19:35 - Jean-Philippe Lang

- Category set to UI

- Status changed from New to Closed

- Target version set to 0.9.0

- Resolution set to Fixed

This is done in r2485.

A maximum of 3 links will be displayed. Examples:

Master >> Child 1 >> Child2 >> Child3

 
Master >> ... >> Child5 >> Child6 >> Child7
